
#include "Rule.h"
#include "Circuit.h"
#include <vector>

Rule::Rule(string name){
    this->name=name;
    inputs=new vector<Rule*>();
}

Rule::~Rule(){
}

string Rule::getName(){
    return this->name;
}

string Rule::getType(){
    return this->type;
}

void Rule::setType(string type){
    this->type=type;
}

Rule* Rule::getInput(int i){
    return this->inputs->at(i);
}

vector<Rule*>* Rule::getInputs(){
    return this->inputs;
}

void Rule::addInput(Rule *rule){
    this->inputs->push_back(rule);
}



